aboutsummaryrefslogtreecommitdiff
path: root/bash/bash_completion.d/sftp.bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash/bash_completion.d/sftp.bash')
-rw-r--r--bash/bash_completion.d/sftp.bash3
1 files changed, 2 insertions, 1 deletions
diff --git a/bash/bash_completion.d/sftp.bash b/bash/bash_completion.d/sftp.bash
index ad4d406f..b54b06b7 100644
--- a/bash/bash_completion.d/sftp.bash
+++ b/bash/bash_completion.d/sftp.bash
@@ -1,4 +1,5 @@
# Completion for sftp(1) with ssh_config(5) hostnames
-declare -F _ssh_config_hosts >/dev/null ||
+if ! declare -F _ssh_config_hosts >/dev/null ; then
source "$HOME"/.bash_completion.d/_ssh_config_hosts.bash
+fi
complete -F _ssh_config_hosts -o bashdefault -o default sftp